This is the mail archive of the cluster-cvs@sourceware.org mailing list for the cluster.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

cluster: STABLE3 - cman init: wait for qdiskd to be active


Gitweb:        http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commitdiff;h=b8fc4036cf0cc45c9fd4ea3264242d07cbec00dd
Commit:        b8fc4036cf0cc45c9fd4ea3264242d07cbec00dd
Parent:        9824f903278d948ee2cbe330a7e52ce1d1cf2093
Author:        Fabio M. Di Nitto <fdinitto@redhat.com>
AuthorDate:    Tue Mar 31 10:53:17 2009 +0200
Committer:     Fabio M. Di Nitto <fdinitto@redhat.com>
CommitterDate: Tue Mar 31 10:53:17 2009 +0200

cman init: wait for qdiskd to be active

check for qdiskd startup. make sure it talks to cman and
report errors if it crashes or exits.

Signed-off-by: Fabio M. Di Nitto <fdinitto@redhat.com>
---
 cman/init.d/cman.in |   18 +++++++++++++++++-
 1 files changed, 17 insertions(+), 1 deletions(-)

diff --git a/cman/init.d/cman.in b/cman/init.d/cman.in
index e30f500..d46c98c 100644
--- a/cman/init.d/cman.in
+++ b/cman/init.d/cman.in
@@ -480,7 +480,23 @@ unfence_self()
 
 start_qdiskd()
 {
-	start_daemon qdiskd "-Q"
+	start_daemon qdiskd "-Q" || return 1
+
+	if [ "$INITLOGLEVEL" = "full" ]; then
+		ok
+		echo -n "   Waiting for qdiskd to be active: "
+	fi
+	retries=0
+	while ! cman_tool status |grep -q "Quorum device" && \
+		status qdiskd > /dev/null 2>&1 && \
+		[ $retries -lt 10 ]; do
+		sleep 2
+		if [ "$INITLOGLEVEL" = "full" ]; then
+			echo -n "$retries "
+		fi
+		((retries++))
+	done
+	status qdiskd > /dev/null 2>&1
 }
 
 stop_qdiskd()


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]